Set up experimental Docker CI slave
Closed, ResolvedPublic

Description

Define an ops/puppet role for an experimental Docker based CI slave.

dduvall created this task.Nov 11 2016, 12:53 AM

Change 320942 had a related patch set uploaded (by Dduvall):
[WIP] contint: New role for Docker based CI slave

https://gerrit.wikimedia.org/r/320942

I've cherry picked https://gerrit.wikimedia.org/r/#/c/320942/2 on integration-puppetmaster01 and started a new integration-slave-docker-1000 instance. It provisioned correctly and has now been added as a Jenkins node with the restrictive label "DebianJessieDocker".

Patches looks good enough for now :-] Once review/merged in I guess we can just close this task.

@thcipriani created a couple more instances to run Docker backed jobs. A use case is to migrate the job running for operations/puppet.git ( T166888 ).

Docker is installed via Puppet and we have:

docker-engine:
  Installed: 1.12.6-0~debian-jessie
  Candidate: 1.12.6-0~debian-jessie
  Version table:
 *** 1.12.6-0~debian-jessie 0
       1001 http://apt.wikimedia.org/wikimedia/ jessie-wikimedia/thirdparty amd64 Packages
        100 /var/lib/dpkg/status

From T153419, that apparently needs us to add the version in hiera somehow.

A question: since wmflabs has a stretch image should we recreate them with that instead of jessie? I am not sure what is the immediate target for Kubernetes.

Change 365416 had a related patch set uploaded (by Thcipriani; owner: Dduvall):
[operations/puppet@production] CI/integration: Create role for docker CI agent

https://gerrit.wikimedia.org/r/365416

Change 320942 abandoned by Thcipriani:
contint: New role for Docker based CI slave

Reason:
squashed this in I6c6583790a981d20bdb727e3a3722a8fc419572a

https://gerrit.wikimedia.org/r/320942

I have removed integration-slave-docker-1000 since puppet is completely broken on it.

Mentioned in SAL (#wikimedia-releng) [2017-07-20T09:17:34Z] <hashar> Spawning and pooling integration-slave-docker-1003 as replacement to integration-slave-docker-1000 (broken) - T150502

Mentioned in SAL (#wikimedia-releng) [2017-08-03T12:02:30Z] <hashar> Added integration-slave-docker-1004 to the pool of jenkins slaves - T150502

Change 365416 merged by Filippo Giunchedi:
[operations/puppet@production] CI/integration: Create role for docker CI agent

https://gerrit.wikimedia.org/r/365416

thcipriani closed this task as Resolved.Aug 10 2017, 4:42 PM

we have 4 different docker CI slaves. The code to create new ones is merged in puppet as of this morning. Calling this one done.